package cn.superdesk.uniorder.dao.mapper.unified;

import cn.superdesk.uniorder.dao.entity.unified.UnifiedEncourage;
import cn.superdesk.uniorder.dao.entity.unified.UnifiedServiceGroup;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedEncouragePage;
import cn.superdesk.uniorder.dto.vo.wechat.WxChannelItemList;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface UnifiedEncourageMapper {

	int deleteByPrimaryKey(Long id);

	int insert(UnifiedEncourage record);

	int insertSelective(UnifiedEncourage record);

	UnifiedEncourage selectByPrimaryKey(Long id);

	int updateByPrimaryKeySelective(UnifiedEncourage record);

	int updateByPrimaryKey(UnifiedEncourage record);

	List<UnifiedEncourage> findAll(Map<String, Object> queryMap);

	List<UnifiedEncouragePage> getPageData(Map<String, Object> params);

	UnifiedServiceGroup findServiceGroupByCode(String businessCode);

	BigDecimal getAmountProfit(Map<String, Object> amountProfitQuery);

	BigDecimal getAmountEncourage(Map<String, Object> amountProfitQuery);

	BigDecimal getOrderAmount(Map<String, Object> amountQuery);

	Integer getVirtCountByChannelId(Map<String, Object> virtCountQuery);

	BigDecimal getAmountBack(Map<String, Object> amountProfitQuery);

	BigDecimal getAmountGetCash(Map<String, Object> amountGetCashQuery);

	List<WxChannelItemList> getChannelItemList(Map<String, Object> channelListQuery);

}